<?php

namespace AutoAdmin\Bundle\Media\Model\Library;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

#[ORM\MappedSuperclass]
abstract class AbstractFileTranslation extends AbstractMediaTranslation implements FileMediaTranslationInterface
{
    #[ORM\Column(type: Types::STRING, length: 255, nullable: true)]
    #[Groups(['media'])]
    protected ?string $title = null;

    #[ORM\Column(type: Types::STRING, nullable: true)]
    #[Groups(['media'])]
    protected ?string $fileName = null;

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(?string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getFileName(): ?string
    {
        return $this->fileName;
    }

    public function setFileName(?string $name): self
    {
        $this->fileName = $name;

        return $this;
    }
}
